summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zach Lewis2014-06-29 05:25:24 +0200
committer Willy Sudiarto Raharjo2014-06-29 05:25:36 +0200
commit8968e8811f0ce64bafec51d5f4d5c69317c82dee (patch)
treea345bcafbc392902c5b6389ed08582a7fd624dd9
parentca4be48b9eecf43babe4b775b07acd6667e5975d (diff)
downloadslackbuilds-8968e8811f0ce64bafec51d5f4d5c69317c82dee.tar.gz
games/Pyfa: Added (Eve Online fitting tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/Pyfa/Pyfa.Slackbuild68
-rw-r--r--games/Pyfa/Pyfa.info10
-rw-r--r--games/Pyfa/README13
-rw-r--r--games/Pyfa/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/games/Pyfa/Pyfa.Slackbuild b/games/Pyfa/Pyfa.Slackbuild
new file mode 100644
index 0000000000..c6ff30aa05
--- /dev/null
+++ b/games/Pyfa/Pyfa.Slackbuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for Pyfa
+
+# Written by Zach Lewis <koni[AT]archlinux.us>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Pyfa
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+cd $TMP
+mkdir -p $PKG/opt/
+mv $PRGNAM-$VERSION $PKG/opt/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/$PRGNAM.Slackbuild $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/usr/bin
+(
+ cd $PKG/usr/bin
+ ln -s /opt/$PRGNAM-$VERSION/pyfa.py pyfa
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/games/Pyfa/Pyfa.info b/games/Pyfa/Pyfa.info
new file mode 100644
index 0000000000..f6ddc03172
--- /dev/null
+++ b/games/Pyfa/Pyfa.info
@@ -0,0 +1,10 @@
+PRGNAM="Pyfa"
+VERSION="1.2.1"
+HOMEPAGE="http://www.pyfa.net"
+DOWNLOAD="https://github.com/DarkFenX/Pyfa/archive/v1.2.1.tar.gz"
+MD5SUM="be3117a2b7e58a8d8170496caf66bcb4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxPython SQLAlchemy python-dateutil"
+MAINTAINER="Zach Lewis"
+EMAIL="koni@archlinux.us"
diff --git a/games/Pyfa/README b/games/Pyfa/README
new file mode 100644
index 0000000000..4b4c682cb0
--- /dev/null
+++ b/games/Pyfa/README
@@ -0,0 +1,13 @@
+Pyfa is a cross-platform desktop fitting application for EVE online that can be
+used natively on any platform where python and wxwidgets are available.
+It provides many advanced features such as graphs and full calculations of any
+possible combination of modules, fits, etc.
+
+Optional dependencies used for graphing tool:
+Matplotlib - http://matplotlib.sourceforge.net/
+NumPy - http://numpy.scipy.org/
+
+This buildscript installs pyfa to /opt/Pyfa-<version> and then symlinks /usr/bin/pyfa
+to the /opt/Pyfa-<version>/pyfa.py run script.
+Removing Pyfa via the package manager may not remove all templates from the directory
+and therefore may require additional manual deletion of the /opt/Pyfa-<version> folder.
diff --git a/games/Pyfa/slack-desc b/games/Pyfa/slack-desc
new file mode 100644
index 0000000000..f969d7d6d7
--- /dev/null
+++ b/games/Pyfa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |--------handy-ruler------------------------------------------------------|
+Pyfa: Pyfa (Eve Online fitting tool)
+Pyfa:
+Pyfa: Pyfa is a cross-platform desktop fitting application for EVE online
+Pyfa: that can be used natively on any platform where python and wxwidgets
+Pyfa: are available. It provides many advanced features such as graphs and
+Pyfa: full calculations of any possible combination of modules, fits, etc.
+Pyfa:
+Pyfa: Homepage: http://www.pyfa.net/
+Pyfa: IRC: evefit@irc.coldfront.net
+Pyfa:
+Pyfa: